%define sourcename  101336-serverstatuswidget
%define oname serverstatuswidget

Summary:	Server Status Widget
Name:		plasma-applet-serverstatus
Version: 	1.2
Release: 	%mkrel 4
Source0:        %sourcename-%version.tar.xz
License: 	GPLv2
Group: 		Graphical desktop/KDE4
Url: 		http://kde-look.org/content/show.php/Server+Status+Widget?content=101336
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description 
This widget lets you monitor one or more servers via pings
or TCP connects in a configurable interval. The icon changes
if a server does not respond to a check, optionally triggering
configurable KDE notifications.

%prep
%setup -q -n %oname-%version

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build
kbuildsycoca4

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/kde4/plasma_applet_serverstatus.so
%{_datadir}/apps/plasma-applet-serverstatus/plasma-applet-serverstatus.notifyrc
%{_datadir}/kde4/services/plasma-applet-serverstatus.desktop

%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde

